OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues (Lucene 10.5.0 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene99, class: OffHeapQuantizedByteVectorValues, class: DenseOffHeapVectorValues

Package org.apache.lucene.backward_codecs.lucene99

# Class OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.util.quantization.BaseQuantizedByteVectorValues
org.apache.lucene.util.quantization.LegacyQuantizedByteVectorValues
org.apache.lucene.backward_codecs.lucene99.OffHeapQuantizedByteVectorValues
org.apache.lucene.backward_codecs.lucene99.OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

Enclosing class:
  `OffHeapQuantizedByteVectorValues`

public static class OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues extends OffHeapQuantizedByteVectorValues
Dense vector values that are stored off-heap. This is the most common case when every doc has a vector.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.backward_codecs.lucene99.OffHeapQuantizedByteVectorValues

  `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DenseOffHeapVectorValues(int dimension, int size, ScalarQuantizer scalarQuantizer, boolean compress, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, IndexInput slice)`
  Create dense off-heap vector values

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`
  `copy()`
  `Bits`
  `getAcceptOrds(Bits acceptDocs)`
  `KnnVectorValues.DocIndexIterator`
  `iterator()`
  `VectorScorer`
  `scorer(float[] target)`

  ### Methods inherited from class org.apache.lucene.backward_codecs.lucene99.OffHeapQuantizedByteVectorValues

  `dimension, getScalarQuantizer, getScoreCorrectionConstant, getSlice, getVectorByteLength, size, vectorValue`

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, fromBytes, getEncoding, rescorer, scorer`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, fromDISI, ordToDoc, prefetch`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DenseOffHeapVectorValues

    public DenseOffHeapVectorValues(int dimension, int size, ScalarQuantizer scalarQuantizer, boolean compress, VectorSimilarityFunction similarityFunction, FlatVectorsScorer vectorsScorer, IndexInput slice)
    Create dense off-heap vector values
    Parameters:
      `dimension` - vector dimension
      `size` - number of vectors
      `scalarQuantizer` - the scalar quantizer
      `compress` - whether the vectors are compressed
      `similarityFunction` - the similarity function
      `vectorsScorer` - the vectors scorer
      `slice` - the index input slice containing the vector data

- ## Method Details

  - ### copy

    public OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues copy() throws IOException
    Overrides:
      `copy` in class `LegacyQuantizedByteVectorValues`
    Throws:
      `IOException`

  - ### getAcceptOrds

    public Bits getAcceptOrds(Bits acceptDocs)
    Overrides:
      `getAcceptOrds` in class `KnnVectorValues`

  - ### scorer

    public VectorScorer scorer(float[] target) throws IOException
    Overrides:
      `scorer` in class `BaseQuantizedByteVectorValues`
    Throws:
      `IOException`

  - ### iterator

    public KnnVectorValues.DocIndexIterator iterator()
    Overrides:
      `iterator` in class `KnnVectorValues`